## libxml2 2.6.16.maemo.1-7osso9

=== debian/changelog ===
libxml2 (2.6.16.maemo.1-7osso9) unstable; urgency=low

  * Added docbook-xsl build dependency.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 01 Dec 2005 15:44:15 +0200

libxml2 (2.6.16.maemo.1-7osso8) unstable; urgency=low

  * Removed installation of missing xmlcatalog man page, because of
    compilation trouble in some environment (bug 21215).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 30 Nov 2005 18:46:12 +0200

libxml2 (2.6.16.maemo.1-7osso7) unstable; urgency=low

  * Added build dependency to xsltproc (bug 21215).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 28 Nov 2005 15:34:53 +0200

libxml2 (2.6.16.maemo.1-7osso6) unstable; urgency=low

  * Repackaged upstream source to avoid the legally problematic files in a
    clean way.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 31 Oct 2005 18:46:33 +0200

libxml2 (2.6.16-7osso5) unstable; urgency=low

  * Removed three legally problematic files:
    result/HTML/doc3.htm
    test/HTML/doc3.htm
    test/HTML/wired.html

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 26 Oct 2005 15:18:27 +0300

libxml2 (2.6.16-7osso4) unstable; urgency=low

  * New version without any changes, but packaged differently to really
    get rid of the legally problematic files.  Previously, they were still
    contained in the orig.tar.gz, now we distribute the patched sources
    directly (and not orig+patch).

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon,  3 Oct 2005 18:55:53 +0300

libxml2 (2.6.16-7osso3) unstable; urgency=low

  * Removed four legally problematic files:
    test/schemas/po0_0.xsd 
    result/HTML/wired.html 
    test/HTML/fp40.htm    
    result/HTML/fp40.htm

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 12 Sep 2005 20:08:28 +0300

libxml2 (2.6.16-7osso2) unstable; urgency=low

  * Removed testapi program building in attempt to fix compilation
    problem (bug 13481).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 14 Jun 2005 17:14:02 +0300

libxml2 (2.6.16-7osso) unstable; urgency=low

  * Removed Python packages from debian/control.
  * Added --without-python configure parameter.
  * Removed dynamically-created doc/xmlcatalog.1.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 02 May 2005 16:30:03 +0300

libxml2 (2.6.16-7) unstable; urgency=low

  * The "dummy packages are arch: all, dammit" release.
  * debian/control: Changed to Architecture: all for dummy package.

 -- Mike Hommey <glandium@debian.org>  Sat,  9 Apr 2005 11:57:29 +0200

libxml2 (2.6.16-6) unstable; urgency=low

  * The "Let's do it cleaner" release.
  * debian/rules: fix installation of python files and make proper use of
    DESTDIR at install time.

 -- Mike Hommey <glandium@debian.org>  Mon, 28 Mar 2005 18:12:15 +0200

libxml2 (2.6.16-5) unstable; urgency=low

  * debian/watch: use svn-upgrade instead of uupdate.
  * debian/control, debian/rules, debian/python-libxml2.*.in:
    Added support for several python bindings packages. Currently for python
    2.2, 2.3 and 2.4.
  * debian/python2.3-libxml2.*: Removed.

 -- Mike Hommey <glandium@debian.org>  Sun, 27 Mar 2005 21:36:53 +0200

libxml2 (2.6.16-4) unstable; urgency=high

  * Urgency set to high because we avoid breaking packages depending on us
    when we don't properly bytecompile our python bindings.
  * debian/rules: Call dh_python. We now get proper maintainer scripts for
    bytecompiling files at install time and removing them at removal time.
    Closes: #300834.
  * debian/control: Adjust build dependencies accordingly.

 -- Mike Hommey <glandium@debian.org>  Tue, 22 Mar 2005 21:56:50 +0100

libxml2 (2.6.16-3) unstable; urgency=low

  * tree.c: Avoid adding namespaced attributes to other elements than element
    nodes. Closes: #293592.
  * encoding.c: Fix the comments to describe the real return values of
    UTF8Toisolat1 and isolat1ToUTF8.
  * doc/: Regenerate API documentation.

 -- Mike Hommey <glandium@debian.org>  Wed, 16 Feb 2005 20:31:17 +0100

libxml2 (2.6.16-2) unstable; urgency=low

  * Upload to unstable, targetted for sarge.
  * Changed my maintainer address to the fresh new Debian one.
  * debian/rules: Added changelog and copyright files in dummy package.
  * debian/libxml2-doc.doc-base: Fixed files sections. Closes: #281242.

 -- Mike Hommey <glandium@debian.org>  Fri,  4 Feb 2005 20:45:48 +0100

libxml2 (2.6.16-1) experimental; urgency=low

  * New upstream release
  * debian/control, debian/rules: Changed libxml2-python2.3's name to
    python2.3-libxml2. Added a dummy package for smooth transition.
  * debian/libxml2-python2.3.*: Renamed to python2.3-libxml2.*.
    Closes: #279343.
  * debian/rules:
    - Don't install files in the dummy libxml2-python2.3 package.
    - Bump shlibs to current version.

 -- Mike Hommey <mh@glandium.org>  Sat, 13 Nov 2004 16:38:37 +0900

libxml2 (2.6.15-2) experimental; urgency=low

  * error.c: Removed support of validation errors in structured error handler.
    That avoids it to crash when a validation error happens. (That was a
    broken feature added in 2.6.15. This will get properly fixed in 2.6.16).
    Closes: #279040.

 -- Mike Hommey <mh@glandium.org>  Mon,  8 Nov 2004 22:16:00 +0900

libxml2 (2.6.15-1) experimental; urgency=low

  * New upstream release
  * debian/rules: Use "dh_makeshlibs -V 'libxml2 (>= 2.6.15)'", since version
    2.6.16 introduces some new symbols.

 -- Mike Hommey <mh@glandium.org>  Thu, 28 Oct 2004 19:08:20 +0900

libxml2 (2.6.11-5) unstable; urgency=high

  * Backport patch from libxml2-2.6.15 to fix buffer overflows [nanohttp.c,
    nanoftp.c, CAN-2004-0989]

 -- Mike Hommey <mh@glandium.org>  Thu, 28 Oct 2004 17:34:54 +0900

libxml2 (2.6.14-1) experimental; urgency=low

  * New upstream release. Closes: #273961.
  * debian/rules: Use "dh_makeshlibs -V 'libxml2 (>= 2.6.14)'", since version
    2.6.14 introduces some new symbols.
  * debian/shlibs.local: Removed, since it is not useful any more.



=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# The versions of python currently supported
PYVERS=$(subst -dev,,$(subst python,,$(filter python%-dev,$(shell sed -n '/^Build-Depends/s/,//gp' debian/control))))

WORKAROUND_REMOVED_FILES=include/libxml/xmlversion.h libxml2.spec python/setup.py doc/xmlcatalog.1
WORKAROUND_MODIFIED_FILES=python/libxml2-py.c

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
      CFLAGS += -O0
else
      CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	# Workaround backups because of non-idempotent upstream:
	for file in $(WORKAROUND_REMOVED_FILES) $(WORKAROUND_MODIFIED_FILES); do \
	  cp -f -a $${file} $${file}-tmp; \
	done

	# ./configure
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --without-python
	echo "all:" > example/Makefile
	echo "install:" >> example/Makefile
	echo "distclean:" >> example/Makefile
	echo "	rm -rf .deps" >> example/Makefile

	mv -f python/Makefile python/Makefile.bak
	echo all: > python/Makefile
	# Build libxml2
	$(MAKE)
	mv -f python/Makefile.bak python/Makefile

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install*-stamp
	rm -f debian/python*.examples debian/python*.install

	-$(MAKE) distclean
	-rm -f example/Makefile
	rm COPYING && cp Copyright COPYING

	# Restore workaround backups of removed and modified files
	-for file in $(WORKAROUND_REMOVED_FILES) $(WORKAROUND_MODIFIED_FILES); do \
	  test -r $${file}-tmp && \
	  mv -f $${file}-tmp $${file}; \
	done

	-test -r /usr/share/misc/config.sub && \
	cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	cp -f /usr/share/misc/config.guess config.guess

	dh_clean

install: install-stamp install-python-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mv -f python/Makefile python/Makefile.bak
	echo install: > python/Makefile
	$(MAKE) DESTDIR=`pwd`/debian/tmp install
	mv -f python/Makefile.bak python/Makefile

	mv debian/tmp/usr/share/aclocal/libxml.m4 debian/tmp/usr/share/aclocal/libxml2.m4

	# Properly install documentation in /usr/share/doc/libxml2-doc
	install -d debian/tmp/usr/share/doc/libxml2-doc/examples
	install -m 644 \
		doc/*.html \
		doc/*.gif \
		doc/*.png \
		doc/libxml2-api.xml debian/tmp/usr/share/doc/libxml2-doc
	install -m 644 \
		doc/examples/*.c \
		doc/examples/*.res \
		doc/examples/index.html \
		doc/examples/[tw]*.xml debian/tmp/usr/share/doc/libxml2-doc/examples
	cp -a \
		doc/html \
		doc/tutorial debian/tmp/usr/share/doc/libxml2-doc


	# Special workaround for svn-buildpackage:
	# Restore workaround backups of modified files.
	-for file in $(WORKAROUND_MODIFIED_FILES); do \
	  test -r $${file}-tmp && \
	  cat $${file}-tmp > $${file}; \
	done

	touch install-stamp

build-python%-stamp: build-stamp
	cd python && $(MAKE) clean && $(MAKE) PYTHON=/usr/bin/python$* PYTHON_VERSION=$* PYTHON_INCLUDES=/usr/include/python$*

	touch $@

install-python%-stamp: build-python%-stamp
	rm build-python$*-stamp
	cd python && $(MAKE) DESTDIR=`pwd`/../debian/tmp PYTHON=/usr/bin/python$* PYTHON_VERSION=$* PYTHON_INCLUDES=/usr/include/python$* install

	sed s/PYVERS/$*/ debian/python-libxml2.install.in > debian/python$*-libxml2.install
	cp debian/python-libxml2.examples.in debian/python$*-libxml2.examples

	touch $@

install-python-stamp: $(PYVERS:%=install-python%-stamp)
	touch $@

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i -Nlibxml2-python2.3 -A AUTHORS TODO README
	dh_installdocs -plibxml2-python2.3
	dh_installchangelogs -i -Nlibxml2-python2.3 debian/no-upstream-changelog
	dh_installchangelogs -plibxml2-python2.3
	dh_install -i --sourcedir=debian/tmp
	dh_python -i
	dh_link -i
	dh_strip -i
	dh_compress -i -Xexamples/ -Xtutorial/ -Xhtml/ -X.html
	dh_fixperms -i
	dh_installdeb -i -Nlibxml2-python2.3
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installexamples -a
	dh_installdocs -plibxml2 -Nlibxml2-dev -A AUTHORS TODO README
	for python in $(PYVERS); do \
		dh_installdocs -ppython$${python}-libxml2 python/TODO; \
		for file in AUTHORS README README.Debian changelog.Debian.gz changelog.gz; do \
			ln -sf ../libxml2/$${file} debian/python$${python}-libxml2/usr/share/doc/python$${python}-libxml2/$${file}; \
		done; \
	done
	ln -sf libxml2 debian/libxml2-dev/usr/share/doc/libxml2-dev
	ln -sf libxml2 debian/libxml2-utils/usr/share/doc/libxml2-utils
	dh_installman -a
	dh_installchangelogs -plibxml2 ChangeLog
	dh_install -a --sourcedir=debian/tmp
	dh_python -a
	dh_link -a
	dh_strip -a
	dh_compress -a -Xexamples/
	dh_fixperms -a
	dh_makeshlibs -a -V 'libxml2 (>= 2.6.16)'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libxml2 2.9.13+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

file(STRINGS "configure.ac" CONFIGURE_AC_LINES)
foreach(line ${CONFIGURE_AC_LINES})
	if(line MATCHES [[^m4_define\(\[(MAJOR_VERSION|MINOR_VERSION|MICRO_VERSION)\],[ \t]*([0-9]+)\)$]])
		set(LIBXML_${CMAKE_MATCH_1} ${CMAKE_MATCH_2})
	elseif(line MATCHES "^(LIBXML_MAJOR_VERSION|LIBXML_MINOR_VERSION|LIBXML_MICRO_VERSION)=([0-9]+)$")
		set(${CMAKE_MATCH_1} ${CMAKE_MATCH_2})
	endif()
endforeach()
set(VERSION "${LIBXML_MAJOR_VERSION}.${LIBXML_MINOR_VERSION}.${LIBXML_MICRO_VERSION}")

project(libxml2 VERSION ${VERSION} LANGUAGES C)

include(CheckCSourceCompiles)
include(CheckFunctionExists)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckStructHasMember)
include(CheckSymbolExists)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

option(BUILD_SHARED_LIBS "Build shared libraries" ON)
set(LIBXML2_WITH_AUTOMATA ON)
option(LIBXML2_WITH_C14N "Add the Canonicalization support" ON)
option(LIBXML2_WITH_CATALOG "Add the Catalog support" ON)
option(LIBXML2_WITH_DEBUG "Add the debugging module" ON)
option(LIBXML2_WITH_DOCB "Add Docbook SGML support" ON)
set(LIBXML2_WITH_EXPR ON)
option(LIBXML2_WITH_FTP "Add the FTP support" ON)
option(LIBXML2_WITH_HTML "Add the HTML support" ON)
option(LIBXML2_WITH_HTTP "Add the HTTP support" ON)
option(LIBXML2_WITH_ICONV "Add ICONV support" ON)
option(LIBXML2_WITH_ICU "Add ICU support" OFF)
option(LIBXML2_WITH_ISO8859X "Add ISO8859X support if no iconv" ON)
option(LIBXML2_WITH_LEGACY "Add deprecated APIs for compatibility" ON)
option(LIBXML2_WITH_LZMA "Use liblzma" ON)
option(LIBXML2_WITH_MEM_DEBUG "Add the memory debugging module" OFF)
option(LIBXML2_WITH_MODULES "Add the dynamic modules support" ON)
option(LIBXML2_WITH_OUTPUT "Add the serialization support" ON)
option(LIBXML2_WITH_PATTERN "Add the xmlPattern selection interface" ON)
option(LIBXML2_WITH_PROGRAMS "Build programs" ON)
option(LIBXML2_WITH_PUSH "Add the PUSH parser interfaces" ON)
option(LIBXML2_WITH_PYTHON "Build Python bindings" ON)
option(LIBXML2_WITH_READER "Add the xmlReader parsing interface" ON)
option(LIBXML2_WITH_REGEXPS "Add Regular Expressions support" ON)
option(LIBXML2_WITH_RUN_DEBUG "Add the runtime debugging module" OFF)
option(LIBXML2_WITH_SAX1 "Add the older SAX1 interface" ON)
option(LIBXML2_WITH_SCHEMAS "Add Relax-NG and Schemas support" ON)
option(LIBXML2_WITH_SCHEMATRON "Add Schematron support" ON)
option(LIBXML2_WITH_TESTS "Build tests" ON)
option(LIBXML2_WITH_THREADS "Add multithread support" ON)
option(LIBXML2_WITH_THREAD_ALLOC "Add per-thread memory" OFF)
option(LIBXML2_WITH_TREE "Add the DOM like tree manipulation APIs" ON)
set(LIBXML2_WITH_TRIO OFF)
set(LIBXML2_WITH_UNICODE ON)
option(LIBXML2_WITH_VALID "Add the DTD validation support" ON)
option(LIBXML2_WITH_WRITER "Add the xmlWriter saving interface" ON)
option(LIBXML2_WITH_XINCLUDE "Add the XInclude support" ON)
option(LIBXML2_WITH_XPATH "Add the XPATH support" ON)
option(LIBXML2_WITH_XPTR "Add the XPointer support" ON)
option(LIBXML2_WITH_ZLIB "Use libz" ON)
set(LIBXML2_XMLCONF_WORKING_DIR ${CMAKE_CURRENT_BINARY_DIR} CACHE PATH "Working directory for XML Conformance Test Suite")

if(LIBXML2_WITH_ICONV)
	find_package(Iconv REQUIRED)
endif()

if(LIBXML2_WITH_ICU)
	find_package(ICU REQUIRED COMPONENTS data i18n uc)
endif()

if(LIBXML2_WITH_LZMA)
	find_package(LibLZMA REQUIRED)
endif()

if(LIBXML2_WITH_PYTHON)
	check_include_files(unistd.h HAVE_UNISTD_H)
	check_symbol_exists(F_GETFL fcntl.h HAVE_F_GETFL)
	if(HAVE_UNISTD_H AND HAVE_F_GETFL)
		find_package(Python COMPONENTS Interpreter Development REQUIRED)
	else()
		find_package(Python2 COMPONENTS Interpreter Development REQUIRED)
		add_library(Python::Python ALIAS Python2::Python)
		set(Python_EXECUTABLE ${Python2_EXECUTABLE})
		set(Python_SITEARCH ${Python2_SITEARCH})
	endif()
	set(LIBXML2_PYTHON_INSTALL_DIR ${Python_SITEARCH} CACHE PATH "Python bindings install directory")
endif()

if(LIBXML2_WITH_THREADS)
	find_package(Threads REQUIRED)
endif()

if(LIBXML2_WITH_ZLIB)
	find_package(ZLIB REQUIRED)
endif()

foreach(VARIABLE IN ITEMS WITH_AUTOMATA WITH_C14N WITH_CATALOG WITH_DEBUG WITH_DOCB WITH_EXPR WITH_FTP WITH_HTML WITH_HTTP WITH_ICONV WITH_ICU WITH_ISO8859X WITH_LEGACY WITH_LZMA WITH_MEM_DEBUG WITH_MODULES WITH_OUTPUT WITH_PATTERN WITH_PUSH WITH_READER WITH_REGEXPS WITH_RUN_DEBUG WITH_SAX1 WITH_SCHEMAS WITH_SCHEMATRON WITH_THREADS WITH_THREAD_ALLOC WITH_TREE WITH_TRIO WITH_UNICODE WITH_VALID WITH_WRITER WITH_XINCLUDE WITH_XPATH WITH_XPTR WITH_ZLIB)
	if(LIBXML2_${VARIABLE})
		set(${VARIABLE} 1)
	else()
		set(${VARIABLE} 0)
	endif()
endforeach()

set(LIBXML_VERSION ${LIBXML_MAJOR_VERSION}0${LIBXML_MINOR_VERSION}0${LIBXML_MICRO_VERSION})
set(LIBXML_VERSION_STRING "${LIBXML_VERSION}")
set(LIBXML_VERSION_EXTRA "")
set(LIBXML_VERSION_NUMBER ${LIBXML_VERSION})

set(MODULE_EXTENSION "${CMAKE_SHARED_LIBRARY_SUFFIX}")

set(PACKAGE "libxml2")
set(PACKAGE_BUGREPORT "xml@gnome.org")
set(PACKAGE_NAME "libxml2")
set(PACKAGE_STRING "libxml2 ${VERSION}")
set(PACKAGE_TARNAME "libxml2")
set(PACKAGE_URL "https://gitlab.gnome.org/GNOME/libxml2")
set(PACKAGE_VERSION ${VERSION})

if(LIBLZMA_FOUND)
	list(APPEND CMAKE_REQUIRED_LIBRARIES LibLZMA::LibLZMA)
endif()

if(Threads_FOUND)
	list(APPEND CMAKE_REQUIRED_LIBRARIES Threads::Threads)
endif()

if(ZLIB_FOUND)
	list(APPEND CMAKE_REQUIRED_LIBRARIES ZLIB::ZLIB)
endif()

if(MSVC)
	configure_file(include/win32config.h config.h COPYONLY)
else()
	check_c_source_compiles("
		void __attribute__((destructor))
		f(void) {}
		int main(void) { return 0; }
	" HAVE_ATTRIBUTE_DESTRUCTOR)
	if(HAVE_ATTRIBUTE_DESTRUCTOR)
		set(ATTRIBUTE_DESTRUCTOR "__attribute__((destructor))")
	endif()
	check_c_source_compiles("
		#include <netdb.h>
		int main() { (void) gethostbyname((const char*) \"\"); return 0; }
	" GETHOSTBYNAME_ARG_CAST_CONST)
	if(NOT GETHOSTBYNAME_ARG_CAST_CONST)
		set(GETHOSTBYNAME_ARG_CAST "(char *)")
	else()
		set(GETHOSTBYNAME_ARG_CAST "/**/")
	endif()
	check_include_files(arpa/inet.h HAVE_ARPA_INET_H)
	check_include_files(arpa/nameser.h HAVE_ARPA_NAMESER_H)
	check_struct_has_member("struct sockaddr_storage" ss_family "sys/socket.h;sys/types.h" HAVE_SS_FAMILY)
	check_struct_has_member("struct sockaddr_storage" __ss_family "sys/socket.h;sys/types.h" HAVE_BROKEN_SS_FAMILY)
	if(HAVE_BROKEN_SS_FAMILY)
		set(ss_family __ss_family)
	endif()
	check_function_exists(class HAVE_CLASS)
	check_include_files(ctype.h HAVE_CTYPE_H)
	check_include_files(dlfcn.h HAVE_DLFCN_H)
	check_library_exists(dl dlopen "" HAVE_DLOPEN)
	check_include_files(dl.h HAVE_DL_H)
	check_include_files(errno.h HAVE_ERRNO_H)
	check_include_files(fcntl.h HAVE_FCNTL_H)
	check_include_files(float.h HAVE_FLOAT_H)
	check_function_exists(fpclass HAVE_FPCLASS)
	check_function_exists(fprintf HAVE_FPRINTF)
	check_function_exists(ftime HAVE_FTIME)
	check_function_exists(getaddrinfo HAVE_GETADDRINFO)
	check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
	check_include_files(inttypes.h HAVE_INTTYPES_H)
	check_function_exists(isascii HAVE_ISASCII)
	check_library_exists(history append_history "" HAVE_LIBHISTORY)
	check_library_exists(readline readline "" HAVE_LIBREADLINE)
	check_include_files(limits.h HAVE_LIMITS_H)
	check_function_exists(localtime HAVE_LOCALTIME)
	check_include_files(malloc.h HAVE_MALLOC_H)
	check_include_files(math.h HAVE_MATH_H)
	check_function_exists(mmap HAVE_MMAP)
	check_function_exists(munmap HAVE_MUNMAP)
	check_include_files(netdb.h HAVE_NETDB_H)
	check_include_files(netinet/in.h HAVE_NETINET_IN_H)
	check_include_files(poll.h HAVE_POLL_H)
	check_function_exists(printf HAVE_PRINTF)
	check_include_files(pthread.h HAVE_PTHREAD_H)
	check_function_exists(putenv HAVE_PUTENV)
	check_function_exists(rand HAVE_RAND)
	check_function_exists(rand_r HAVE_RAND_R)
	check_include_files(resolv.h HAVE_RESOLV_H)
	check_library_exists(dld shl_load "" HAVE_SHLLOAD)
	check_include_files(signal.h HAVE_SIGNAL_H)
	check_function_exists(snprintf HAVE_SNPRINTF)
	check_function_exists(sprintf HAVE_SPRINTF)
	check_function_exists(srand HAVE_SRAND)
	check_function_exists(sscanf HAVE_SSCANF)
	check_function_exists(stat HAVE_STAT)
	check_include_files(stdarg.h HAVE_STDARG_H)
	check_include_files(stdint.h HAVE_STDINT_H)
	check_include_files(stdlib.h HAVE_STDLIB_H)
	check_function_exists(strftime HAVE_STRFTIME)
	check_include_files(strings.h HAVE_STRINGS_H)
	check_include_files(string.h HAVE_STRING_H)
	check_include_files(sys/mman.h HAVE_SYS_MMAN_H)
	check_include_files(sys/select.h HAVE_SYS_SELECT_H)
	check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
	check_include_files(sys/stat.h HAVE_SYS_STAT_H)
	check_include_files(sys/timeb.h HAVE_SYS_TIMEB_H)
	check_include_files(sys/time.h HAVE_SYS_TIME_H)
	check_include_files(sys/types.h HAVE_SYS_TYPES_H)
	check_function_exists(time HAVE_TIME)
	check_include_files(time.h HAVE_TIME_H)
	check_include_files(unistd.h HAVE_UNISTD_H)
	check_function_exists(va_copy HAVE_VA_COPY)
	check_function_exists(vfprintf HAVE_VFPRINTF)
	check_function_exists(vsnprintf HAVE_VSNPRINTF)
	check_function_exists(vsprintf HAVE_VSPRINTF)
	check_function_exists(__va_copy HAVE___VA_COPY)
	check_c_source_compiles("
		#include <stdlib.h>
		#include <iconv.h>
		extern
		#ifdef __cplusplus
		\"C\"
		#endif
		#if defined(__STDC__) || defined(__cplusplus)
		size_t iconv(iconv_t cd, char** inbuf, size_t* inbytesleft, char** outbuf, size_t* outbytesleft);
		#else
		size_t iconv();
		#endif
		int main() { return 0; }
	" ICONV_CONST_TEST)
	if(NOT ICONV_CONST_TEST)
		set(ICONV_CONST "const")
	endif()
	set(LT_OBJDIR ".libs/")
	check_c_source_compiles("
		#include <sys/socket.h>
		#include <sys/types.h>
		int main() { (void) send(1, (const char*) \"\", 1, 1); return 0; }
	" SEND_ARG2_CAST_CONST)
	if(NOT SEND_ARG2_CAST_CONST)
		set(SEND_ARG2_CAST "(char *)")
	else()
		set(SEND_ARG2_CAST "/**/")
	endif()
	check_include_files("float.h;stdarg.h;stdlib.h;string.h" STDC_HEADERS)
	check_c_source_compiles("
		#include <stdarg.h>
		void a(va_list* ap) {};
		int main() { va_list ap1, ap2; a(&ap1); ap2 = (va_list) ap1; return 0; }
	" VA_LIST_IS_ARRAY_TEST)
	if(VA_LIST_IS_ARRAY_TEST)
		set(VA_LIST_IS_ARRAY FALSE)
	else()
		set(VA_LIST_IS_ARRAY TRUE)
	endif()
	check_c_source_compiles("
		#include <stddef.h>
		#include <sys/socket.h>
		#include <sys/types.h>
		int main() { (void) getsockopt(1, 1, 1, NULL, (socklen_t*) NULL); return 0; }
	" XML_SOCKLEN_T_SOCKLEN_T)
	if(XML_SOCKLEN_T_SOCKLEN_T)
		set(XML_SOCKLEN_T socklen_t)
	else()
		check_c_source_compiles("
			#include <stddef.h>
			#include <sys/socket.h>
			#include <sys/types.h>
			int main() { (void) getsockopt(1, 1, 1, NULL, (size_t*) NULL); return 0; }
		" XML_SOCKLEN_T_SIZE_T)
		if(XML_SOCKLEN_T_SIZE_T)
			set(XML_SOCKLEN_T size_t)
		else()
			check_c_source_compiles("
				#include <stddef.h>
				#include <sys/socket.h>
				#include <sys/types.h>
				int main() { (void) getsockopt (1, 1, 1, NULL, (int*) NULL); return 0; }
			" XML_SOCKLEN_T_INT)
			set(XML_SOCKLEN_T int)
		endif()
	endif()
	configure_file(config.h.cmake.in config.h)
endif()

set(
	LIBXML2_HDRS
	include/libxml/c14n.h
	include/libxml/catalog.h
	include/libxml/chvalid.h
	include/libxml/debugXML.h
	include/libxml/dict.h
	include/libxml/DOCBparser.h
	include/libxml/encoding.h
	include/libxml/entities.h
	include/libxml/globals.h
	include/libxml/hash.h
	include/libxml/HTMLparser.h
	include/libxml/HTMLtree.h
	include/libxml/list.h
	include/libxml/nanoftp.h
	include/libxml/nanohttp.h
	include/libxml/parser.h
	include/libxml/parserInternals.h
	include/libxml/pattern.h
	include/libxml/relaxng.h
	include/libxml/SAX.h
	include/libxml/SAX2.h
	include/libxml/schemasInternals.h
	include/libxml/schematron.h
	include/libxml/threads.h
	include/libxml/tree.h
	include/libxml/uri.h
	include/libxml/valid.h
	include/libxml/xinclude.h
	include/libxml/xlink.h
	include/libxml/xmlIO.h
	include/libxml/xmlautomata.h
	include/libxml/xmlerror.h
	include/libxml/xmlexports.h
	include/libxml/xmlmemory.h
	include/libxml/xmlmodule.h

## libxml2 2.6.16.maemo.1-7osso11

=== debian/changelog ===
libxml2 (2.6.16.maemo.1-7osso11) unstable; urgency=low

  * Added patch for making more code shareable (N#23041).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 May 2006 14:46:17 +0300

libxml2 (2.6.16.maemo.1-7osso10) unstable; urgency=low

  * Applied patch from Leonid for thumb instruction support (N#26519).
  * Added doc/xmlcatalog.1 back because of svn-buildpackage problem.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Sat, 29 Apr 2006 17:11:02 +0300

=== debian/control ===
Source: libxml2
Priority: optional
Section: libs
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.1.67), zlib1g-dev | libz-dev, autotools-dev, xsltproc, docbook-xsl

Package: libxml2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xml-core
Description: GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package provides a library providing an extensive API to handle
 such XML data files.

Package: libxml2-utils
Architecture: any
Section: text
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libxml2 (<< 2.5.7-1)
Conflicts: libxml2 (<< 2.5.7-1)
Description: XML utilities
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package provides xmllint, a tool for validating and reformatting
 XML documents, and xmlcatalog, a tool to parse and manipulate XML or
 SGML catalog files.

Package: libxml2-dev
Architecture: any
Section: libdevel
Depends: libxml2 (= ${Source-Version}), zlib1g-dev | libz-dev
Replaces: libxml2 (<= 2.6.6-1), libxml2-headers (= 2.6.7-1)
Conflicts: libxml2 (<= 2.6.6-1), libxml2-headers (= 2.6.7-1)
Description: Development files for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 Install this package if you wish to develop your own programs using
 the GNOME XML library.

Package: libxml2-doc
Architecture: all
Section: doc
Description: Documentation for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package contains general information about the GNOME XML library
 and more specific API references.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,12 @@
       CFLAGS += -O2
 endif
 
+# Use soft-float and thumb mode if it enabled.
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+
+
 build: build-stamp
 build-stamp:
 	dh_testdir
@@ -33,6 +39,8 @@
 	echo "distclean:" >> example/Makefile
 	echo "	rm -rf .deps" >> example/Makefile
 
+	patch -p0 < debian/patches/libxml2-const.diff
+
 	mv -f python/Makefile python/Makefile.bak
 	echo all: > python/Makefile
 	# Build libxml2
@@ -44,6 +52,11 @@
 clean:
 	dh_testdir
 	dh_testroot
+
+	if [ -e build-stamp ]; then \
+	  patch -p0 -R < debian/patches/libxml2-const.diff; \
+	fi
+
 	rm -f build-stamp install*-stamp
 	rm -f debian/python*.examples debian/python*.install

=== debian/watch ===
version=2
ftp://xmlsoft.org/libxml2-([\d\.]+)\.tar\.gz debian svn-upgrade

## libxml2 2.6.16.maemo.1-7osso12

=== debian/changelog ===
libxml2 (2.6.16.maemo.1-7osso12) unstable; urgency=low

  * Added a debug package. Fixes: NB#40260

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 27 Sep 2006 17:29:26 +0300

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,22 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: xml-core
 Description: GNOME XML library
+ XML is a metalanguage to let you design your own markup language.
+ A regular markup language defines a way to describe information in
+ a certain class of documents (eg HTML). XML lets you define your
+ own customized markup languages for many classes of document. It
+ can do this because it's written in SGML, the international standard
+ metalanguage for markup languages.
+ .
+ This package provides a library providing an extensive API to handle
+ such XML data files.
+
+Package: libxml2-dbg
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, libxml2 (>= ${Source-Version}) 
+Recommends: xml-core
+Description: GNOME XML library debug symbols
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
  a certain class of documents (eg HTML). XML lets you define your

=== debian/rules ===
--- 
+++ 
@@ -145,7 +145,7 @@
 	dh_install -i --sourcedir=debian/tmp
 	dh_python -i
 	dh_link -i
-	dh_strip -i
+	dh_strip -i --dbg-package=libxml2
 	dh_compress -i -Xexamples/ -Xtutorial/ -Xhtml/ -X.html
 	dh_fixperms -i
 	dh_installdeb -i -Nlibxml2-python2.3
@@ -173,7 +173,7 @@
 	dh_install -a --sourcedir=debian/tmp
 	dh_python -a
 	dh_link -a
-	dh_strip -a
+	dh_strip -a --dbg-package=libxml2
 	dh_compress -a -Xexamples/
 	dh_fixperms -a
 	dh_makeshlibs -a -V 'libxml2 (>= 2.6.16)'

## libxml2 2.6.16.maemo.1-7osso13

=== debian/changelog ===
libxml2 (2.6.16.maemo.1-7osso13) unstable; urgency=low

  * Fixed dependency in libxml2-dbg to be exact. Fixes: NB#40260

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 28 Sep 2006 15:11:38 +0300

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Package: libxml2-dbg
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libxml2 (>= ${Source-Version}) 
+Depends: ${shlibs:Depends}, libxml2 (= ${Source-Version}) 
 Recommends: xml-core
 Description: GNOME XML library debug symbols
  XML is a metalanguage to let you design your own markup language.

## libxml2 2.6.27.dfsg-1osso2

=== debian/changelog ===
libxml2 (2.6.27.dfsg-1osso2) unstable; urgency=low

  * Removed some non-free (document) files from the tarball:
    libxml2-2.6.27/test/HTML/fp40.htm
    libxml2-2.6.27/test/schemas/po0_0.xsd
    libxml2-2.6.27/test/schemas/po1_0.xsd
    libxml2-2.6.27/result/DocBook/bibliography.example.1.xml
    libxml2-2.6.27/result/DocBook/bibliography.example.1
    libxml2-2.6.27/result/HTML/fp40.htm
    libxml2-2.6.27/result/HTML/fp40.htm.sax

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 23 Mar 2007 16:50:55 +0200

libxml2 (2.6.27.dfsg-1osso1) unstable; urgency=low

  * OSSO-packaged libxml2 v2.6.27 (used Debian's packaging as a base but
    replaced debian/rules with a simple cdbs one).
  * Removed compilation of Python packages and some other inconvenient
    build dependencies.
  * Added support for compiling with thumb instructions.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 17 Nov 2006 15:36:40 +0200

libxml2 (2.6.27.dfsg-1) unstable; urgency=low

  * New "huge bug fixes list" upstream release.
  * autogen.sh: Updated so that doc/examples/index.html gets updated
    correctly.
  * debian/control: Bumped Standards-Version to 3.7.2.2. No changes required.
  * debian/rules: bump shlibs to current version, since new symbols were added.

 -- Mike Hommey <glandium@debian.org>  Thu, 26 Oct 2006 23:15:00 +0200

libxml2 (2.6.26.dfsg-4) unstable; urgency=low

  * debian/control:
    + Bumped Standards-Version to 3.7.2.1. No changes required.
    + Added a conflict to the sarge version of libxslt1.1 to avoid upgrade
      problems. Closes: #390733.
  * debian/watch: Updated to mangle the Debian version.

 -- Mike Hommey <glandium@debian.org>  Wed,  4 Oct 2006 16:51:29 +0200

libxml2 (2.6.26.dfsg-3) unstable; urgency=medium

  * debian/rules, debian/libxml2-dev.install: Don't install libxml2.la
    directly and sed it to remove the dependency_libs. Note that will break
    linking statically libxml2 with libtool, we recommend to use pkg-config
    --static --libs libxml-2.0 instead of relying on libtool.
    Closes: #379807, #378511.
  * xml2-config.in: Fixed usage alignment of the new option introduced in
    previous upload.

 -- Mike Hommey <glandium@debian.org>  Thu, 27 Jul 2006 19:40:27 +0200

libxml2 (2.6.26.dfsg-2) unstable; urgency=low

  * The slithering release.

  * debian/python-libxml2.examples.in: Renamed to
    debian/python-libxml2.examples
  * debian/python-libxml2.install.in: Renamed to
    debian/python-libxml2.install, and replaced PYVERS by a wildcard.
  * debian/control:
    + Adapted dependencies to fit all changes.
    + Added fields required by new Python policy.
    + Added fields necessary for flawless transition.
    + Replaced dummy python-libxml2 package by a full real package which
      itself replaces python2.x-libxml2 packages.
  * debian/rules:
    + Changed rules to get the python versions we want to build for and
      adapted some rules to fit with the new setting.
    + Changed shell loops to make loops.
    + In case python binary modules are identical (and they are, but they
      may not be with future versions of the python headers), replace some
      of them with symbolic links.
    + Adapted rules to the fact we're installing in only one python package
      instead of several.
  * debian/pycompat: Set to 2, for new Python policy. Closes: #373456.
  * Switching to the new policy avoids necessity to conflict with very old
    versions of the python bindings packages. Closes: #365057.

  * debian/libxml2-doc.install: Added the /usr/share/gtk-doc directory.
    Closes: #375113.
  * debian/control: Made libxml2-doc suggest devhelper.
  * libxml-2.0.pc.in, libxml-2.0-uninstalled.pc.in: Split Libs in Libs and
    Libs.private.
  * configure.in, configure: Adapted to fill the variables correctly for
    libraries.
  * xml2-config.in, xml2-config.1: Added a --static option to add to --libs
    so that we can split what is needed when building statically and what is
    needed when building dynamically. Closes: #374017.
  * libxml-2.0.pc.in, libxml-2.0-uninstalled.pc.in, xml2-config.in: Added
    BASE_THREADS_LIBS to the static link information so that -lpthread would
    appear. Closes: #372945.
  * debian/control: Removed dependency on zlib-dev for libxml2-dev.
  * debian/rules: Add the NEWS file to dh_install calls. Closes: #365596.
  * debian/watch: Updated.
  * NEWS: Updated.

 -- Mike Hommey <glandium@debian.org>  Sat,  1 Jul 2006 10:45:02 +0200

libxml2 (2.6.26.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Added -fno-strict-aliasing to the CFLAGS.
    + Use dpkg-architecture to feed configure.
    + Bumped shlibs to current version, since new symbol for XPath cache has
      been added.
  * debian/control: Bumped Standards-Version to 3.7.2.0. No changes required.

 -- Mike Hommey <glandium@debian.org>  Thu,  8 Jun 2006 21:39:55 +0200

libxml2 (2.6.24.dfsg-1) unstable; urgency=low

  * New upstream release. Closes: #365246.
  * debian/control:
    + Changed libxml2-dbg's priority to extra.
    + Bumped Standards-Version to 3.7.0.0. No changes required.
  * debian/rules: bump shlibs to current version, since new symbols were added.

 -- Mike Hommey <glandium@debian.org>  Sat, 29 Apr 2006 22:18:14 +0200

libxml2 (2.6.23.dfsg.2-3) unstable; urgency=low

  * debian/rules: Correctly strip python modules.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Mar 2006 19:15:53 +0100

libxml2 (2.6.23.dfsg.2-2) unstable; urgency=low

  * debian/control: Removed python2.2-libxml2 and build-dep on python2.2-dev.
    Closes: #351125.
  * doc/xmllint.xml, doc/xmllint.1: Applied patch from upstream cvs.  That
    improves the manual page by many ways.
  * doc/xmllint.html: Manually updated with changes from the .xml file.
  * xmllint.c: Don't throw error when failed to load an entity through --path
    option of xmllint (patch from upstream cvs). Closes: #352634.
    Thanks Daniel Leidert.



=== debian/control ===
--- 
+++ 
@@ -1,33 +1,17 @@
 Source: libxml2
 Priority: optional
 Section: libs
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
-Uploaders: Mike Hommey <glandium@debian.org>
-Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.1.67), zlib1g-dev | libz-dev, autotools-dev, xsltproc, docbook-xsl
+Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
+Standards-Version: 3.7.2.2
+Build-Depends: cdbs, debhelper, zlib1g-dev | libz-dev, autotools-dev, binutils (>= 2.14.90.0.7)
 
 Package: libxml2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libxslt1.1 (<= 1.1.12-8)
 Recommends: xml-core
 Description: GNOME XML library
- XML is a metalanguage to let you design your own markup language.
- A regular markup language defines a way to describe information in
- a certain class of documents (eg HTML). XML lets you define your
- own customized markup languages for many classes of document. It
- can do this because it's written in SGML, the international standard
- metalanguage for markup languages.
- .
- This package provides a library providing an extensive API to handle
- such XML data files.
-
-Package: libxml2-dbg
-Architecture: any
-Section: libdevel
-Depends: ${shlibs:Depends}, libxml2 (= ${Source-Version}) 
-Recommends: xml-core
-Description: GNOME XML library debug symbols
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in
  a certain class of documents (eg HTML). XML lets you define your
@@ -59,7 +43,7 @@
 Package: libxml2-dev
 Architecture: any
 Section: libdevel
-Depends: libxml2 (= ${Source-Version}), zlib1g-dev | libz-dev
+Depends: libxml2 (= ${Source-Version})
 Replaces: libxml2 (<= 2.6.6-1), libxml2-headers (= 2.6.7-1)
 Conflicts: libxml2 (<= 2.6.6-1), libxml2-headers (= 2.6.7-1)
 Description: Development files for the GNOME XML library
@@ -73,9 +57,27 @@
  Install this package if you wish to develop your own programs using
  the GNOME XML library.
 
+Package: libxml2-dbg
+Architecture: any
+Section: libdevel
+Priority: extra
+Depends: libxml2 (= ${Source-Version})
+Description: Debugging symbols for the GNOME XML library
+ XML is a metalanguage to let you design your own markup language.
+ A regular markup language defines a way to describe information in
+ a certain class of documents (eg HTML). XML lets you define your
+ own customized markup languages for many classes of document. It
+ can do this because it's written in SGML, the international standard
+ metalanguage for markup languages.
+ .
+ This package provides the debugging symbols for the library and for
+ the utilities provided by the libxml2-utils package.
+ Debugging symbols for the python modules are not available.
+
 Package: libxml2-doc
 Architecture: all
 Section: doc
+Suggests: devhelp
 Description: Documentation for the GNOME XML library
  XML is a metalanguage to let you design your own markup language.
  A regular markup language defines a way to describe information in

=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2006 Nokia Corporation. All rights reserved.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_TAR_SRCDIR := libxml2-2.6.27
include /usr/share/cdbs/1/rules/tarball.mk

DEB_CONFIGURE_EXTRA_FLAGS := --without-python --enable-ipv6=no

DEB_DH_STRIP_ARGS := --dbg-package=libxml2

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -mthumb
endif

clean::
	rm -f *.cdbs-config_list

## libxml2 2.6.27.dfsg-1osso3

=== debian/changelog ===
libxml2 (2.6.27.dfsg-1osso3) unstable; urgency=low

  * Prefer hardware floating point unless configured otherwise.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 11 Sep 2007 14:03:14 +0300

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,15 @@
 
 DEB_DH_STRIP_ARGS := --dbg-package=libxml2
 
+# Prefer hardware floating point if enabled
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+else
 # Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
         CFLAGS += -mthumb
 endif
+endif
 
 clean::
 	rm -f *.cdbs-config_list

## libxml2 2.6.27.dfsg-1osso4

=== debian/changelog ===
libxml2 (2.6.27.dfsg-1osso4) unstable; urgency=low

  * Added patch for CVE-2007-6284 security issue. Fixes: NB#79318

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 19 Feb 2008 16:40:29 +0200

## libxml2 2.6.32.dfsg-5maemo3%2b0m5

=== debian/changelog ===
libxml2 (2.6.32.dfsg-5maemo3+0m5) unstable; urgency=high

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 08 Sep 2009 10:26:27 +0300

libxml2 (2.6.32.dfsg-5maemo3) unstable; urgency=high

  * Fixed case-statements in python/libxml.c
  * Fixes: NB#133324
  * Fixes: NB#137543

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 08 Sep 2009 10:00:36 +0300

libxml2 (2.6.32.dfsg-5maemo2+0m5) unstable; urgency=high

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Fri, 28 Aug 2009 10:54:36 +0300

libxml2 (2.6.32.dfsg-5maemo2) unstable; urgency=high

  * Resync from upstream (Fixes: NB#133324)
  * Downgrade debhelper version requirement
  * Use target's python for all things python

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri, 14 Aug 2009 13:08:07 +0300

libxml2 (2.6.32.dfsg-5) unstable; urgency=high

  * parserInternals.c: apply patch from upstream revision 3741 to avoid
    double-free in some situations. This fixes a crash while running the
    W3C/OASIS XML conformance test.
  * tree.c: Fix infinite loop. Fixes: CVE-2008-4225.
  * SAX2.c: Fix integer overflow. Fixes: CVE-2008-4226.

 -- Mike Hommey <glandium@debian.org>  Tue, 18 Nov 2008 08:08:34 +0100

libxml2 (2.6.32.dfsg-4) unstable; urgency=high

  * Fix regressions due to previous security fixes. Fixes: CVE-2008-3529.
    Closes: #498768.

 -- Mike Hommey <glandium@debian.org>  Fri, 19 Sep 2008 21:26:19 +0200

libxml2 (2.6.32.dfsg-3) unstable; urgency=high

  * Fix DoS which leads to recursive evaluation of entities.
    Fixes: CVE-2008-3281, without breaking librsvg and others. Closes: #496125.

 -- Mike Hommey <glandium@debian.org>  Mon, 25 Aug 2008 22:01:17 +0200

libxml2 (2.6.32.dfsg-2) unstable; urgency=low

   * debian/control:
     + Use ${binary:Version} instead of ${Source-Version}.
     + Fixed spelling error for "Python".
   * debian/rules: Don't ignore make distclean errors.
   * debian/libxml2-doc.doc-base: Changed section to fit doc-base sections
     changes.
  * xml2-config.1: Remove unknown groff command.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Apr 2008 20:38:50 +0200

libxml2 (2.6.32.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bumped Standards-Version to 3.7.3.0. No changes.
  * debian/rules:
    + Make dpkg-shlibdeps fail when symbols are missing.
    + Removed the workaround for removed and modified files during build. The
      former was for svn-buildpackage that I don't use anymore, and the latter
      for a file that isn't in the .orig.tar.gz anymore.
    + Bump shlibs to current version, since a new symbol was added.
  * debian/libxml2.symbols: Reference the new symbol.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Apr 2008 11:25:18 +0200

libxml2 (2.6.31.dfsg-2) unstable; urgency=low

  * debian/rules: Brown paper bag: uncomment $(MAKE) distclean.
    Closes: #442656.
  * xstc/Makefile.am, xstc/Makefile.in: Properly clean generated files.
  * nanohttp.c: Apply fix from svn revision 3685 to allocate enough memory
    for the Host HTTP header when containing a port number. Closes: #464173.
  * error.c: Don't grow error buffer indefinitely when vsnprintf returns -1,
    which, if it happens, on glibc-based systems, will happen indefinitely.
    Closes: #456653.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Mar 2008 23:42:37 +0100

libxml2 (2.6.31.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Acknowledged NMU.
  * testModule.c: Revert our change to add PATH_MAX for the Hurd, since we now
    don't even build this file.
  * debian/rules: bump shlibs to current version, since a new symbol was added.
  * debian/libxml2.symbols: Reference the new symbol.
  * autogen.sh: Switch to automake1.10 to follow upstream.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Jan 2008 18:46:41 +0100

libxml2 (2.6.30.dfsg-3.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * This update addresses the following security issue:
    - CVE-2007-6284: The xmlCurrentChar function allows context-dependent
      attackers to cause a denial of service (infinite loop) via XML
      containing invalid UTF-8 sequences (Closes: #460292).

 -- Nico Golde <nion@debian.org>  Sun, 13 Jan 2008 15:15:04 +0100

libxml2 (2.6.30.dfsg-3) unstable; urgency=low

  * debian/libxml2.symbols: Add a symbols file to benefit from the new
    features in dpkg-shlibdeps.
  * debian/control: Build depend on debhelper (>= 5.0.61) and dpkg-dev (>=
    1.14.9), accordingly.
  * debian/rules:
    + Apply rules suggested in autotools-dev documentation.
    + Add -Wl,--as-needed to LDFLAGS so that useless dependencies are not
    added.
  * Makefile.am, Makefile.in: Don't build noinst targets.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Nov 2007 19:22:51 +0100

libxml2 (2.6.30.dfsg-2) unstable; urgency=low

  * libxml.h: define _LARGEFILE64_SOURCE to properly get gzopen64 defines in
    zlib.h. Closes: #439843. Thanks Dann Frazier.

 -- Mike Hommey <glandium@debian.org>  Tue, 28 Aug 2007 21:52:30 +0200

libxml2 (2.6.30.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sun, 26 Aug 2007 10:52:39 +0200

libxml2 (2.6.29.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: bump shlibs to current version, since new symbols were added.

 -- Mike Hommey <glandium@debian.org>  Wed, 13 Jun 2007 20:52:41 +0200

libxml2 (2.6.28.dfsg-1) unstable; urgency=low

  * New upstream release:
    + Provides doc/html/index.html. Closes: #405802.
    + Fixed infinite loop with invalid characters in Xincluded files.
      Closes: #410762.
  * debian/rules: bump shlibs to current version, since new symbols were added.

 -- Mike Hommey <glandium@debian.org>  Wed, 18 Apr 2007 08:09:16 +0200
